CATIA VBA(VBS)二次開發命令執行函數StartCommand

CATIA VBA(VBS)二次開發命令執行函數StartCommand
在CATIA VBA(VBS)二次開發中可以使用StartCommand函數來運行CATIA中的命令。此函數的定義形式為:Sub StartCommand( CATBSTR  iCommandId)參數iCommandId可以是命令的名稱、别名或ID。此方法屬于Application類,它執行指定的CATIA命令,在命令執行過程中如果遇到用戶交互,命令将終止執行。用戶交互無法通過程序指定,因...

将Excel中的點數據批量導入到CATIA

将Excel中的點數據批量導入到CATIA
在檢測、逆向等工作中,經常遇到大量的測量數據需要導入CATIA中,CATIA軟件本身自帶了一個VBA腳本程序,可以将Excel中的點數據批量導入到CATIA中。1、打開CATIA,新建一個part文件。2、在CATIA安裝目錄BXX\intel_a(win_b64)\code\command下找到GSD_PointSplineLoftFromExcel.xls Excel文件并打開。軟件默認的文件如下圖所示:...

CATIA VBA(VBS) 二次開發實體切割命令AddNewSplit

CATIA VBA(VBS) 二次開發實體切割命令AddNewSplit
在CATIA的VBA/VBS二次開發中可以使用AddNewSplit命令進行實體切割,此命令屬于ShapeFactory類中的方法,函數定義如下:Func AddNewSplit( Reference  iSplittingElement,  CatSplitSide iSplitSide) As Split其中:iSplittingElement為切割參考元素;iSplitSide為切割後保留哪一側的選項,有catPositiveSide和catNe...

CATIA VBA(VBS) 二次開發中選擇集的複制粘貼

CATIA VBA(VBS) 二次開發中選擇集的複制粘貼
在CATIA VBA(VBS)二次開發中可以使用Copy、PasteSpecial方法對選擇集進行複制粘貼。示例代碼如下:Sub CATMain()Dim Doc, Prt, SF, Slct, BodyO, BodyNSet Doc = CATIA.ActiveDocumentSet Prt = Doc.PartSet Slct = Doc.SelectionDim Status, lType(0)lType(0) = "Body"Status = Slct.SelectElement2(lTy...

CATIA VBA(VBS) 二次開發中的選擇過濾器

CATIA VBA(VBS) 二次開發中的選擇過濾器
在文章《CATIA使用VBA(VBS)二次開發時用戶的交互選擇》中介紹了在CATIA中使用SelectElement2方法進行用戶交互選擇。在使用SelectElement2進行選擇時需要設置選擇過濾器,CATIA CAA Visual Basic中提供了如下兩類選擇過濾器:直接使用對象名稱作為過濾器關鍵字,如HybridBody、HybridShape、Body、Plane、Point、Line等;使用枚舉類CAT...

CATIA使用VBA(VBS)二次開發時部件集的創建和遍曆

CATIA使用VBA(VBS)二次開發時部件集的創建和遍曆
下面以幾何元素部件集Geometrical set的選擇、創建、遍曆和元素的插入為例介紹在CATIA中使用VBA(VBS)二次開發時部件集的操作方法。Sub catmain()'Geometrical set 的選擇Dim iSelectionSet iSelection =CATIA.ActiveDocument.SelectionDim iStatus, iType(0)iType(0) = "HybridBody"iStatus = iSelection.Se...

CATIA在VBA(VBS)二次開發中使用HybridShapeFactory創建标準圖形曲面的方法

CATIA在VBA(VBS)二次開發中使用HybridShapeFactory創建标準圖形曲面的方法
下面以一個球形曲面的創建為例,介紹在CATIA中使用VBA(VBS)進行二次開發時通過HybridShapeFactory類創建标準圖形曲面的方法。示例代碼如下:(代碼中有關對象選擇的詳細介紹可參考文章《CATIA使用VBA(VBS)二次開發時用戶的交互選擇》。)Sub catmain()Dim iSelectionSet iSelection =CATIA.ActiveDocument.SelectionDi...

CATIA使用VBA(VBS)二次開發時用戶的交互選擇

CATIA使用VBA(VBS)二次開發時用戶的交互選擇
在CATIA中使用VBA(VBS)二次開發時,可以使用SelectElement2方法來進行交互,實現用戶的選擇,使用Item2來獲取選擇集中的元素。此方法可以進行基準面、點、線、曲面、實體等任意類的選擇。用戶交互選擇示例代碼如下:Sub catmain()Dim iSelectionSet iSelection =CATIA.ActiveDocument.SelectionDim iStatus, iType(0)...

在CATIA二次開發中使用VBA(VBS)的TypeName函數獲取文檔類型

在CATIA二次開發中使用VBA(VBS)的TypeName函數獲取文檔類型
在CATIA二次開發中可以使用VBA(VBS)的TypeName函數獲取文檔類型,TypeName函數的定義如下:TypeName(varname) 參數 varname 是一個Variant , 它包含除用戶定義類型的變量之外的任何變量。此函數返回一個提供有關變量的信息的 String。由 TypeName 返回的字符串可以為下列任一項: 返回的字符串變量對象類型類型為 objecttype ...

CATIA使用VBA(VBS)二次開發在工程圖背景圖中創建草圖文字

CATIA使用VBA(VBS)二次開發在工程圖背景圖中創建草圖文字
在CATIA工程圖中制作标題欄、明細表時均需進入CATIA工程圖的背景模式中(Sheet Background)。以下代碼為在CATIA中使用VBA(VBS)二次開發在工程圖背景圖中創建草圖文字的方法。Sub catmain()Dim lBView,lFact,lTexts,Ln,lViewDim LH,LW,TxSet lView = CATIA.ActiveDocument.Sheets.ActiveSheet.Views.ActiveViewSet lBView = CATIA...